Subject: Re: What does this output of git supposed to mean ?

From: SZEDER Gábor <[email-masked]>
Date: Tue, 6 Jun 2017 13:43:55 +0200

> >> In the context of "status", it probably is more logically correct if
> >> it said "No commit yet" or something.  This is no longer "is initial
> >> harder than root?" ;-)
> >
> > Exactly. I agree with OP, in the context of running 'git status', I find
> > the string "Initial commit" confusing in the example below, because
> > at that time no commits exist. This creates confusion what git is
> > talking about. The 'git log' message is not very friendly either.
> >
> > Perhaps say something like "Repository is empty." there.
> 
> <bikeshed>
> I like that. I think that is a very appropriately descriptive statement.
> 
> An alternative ,with slightly less textual change, could be "Waiting for 
> initial commit"
> </bikeshed>

We should consider orphan/unborn branches, too:

  git (master)$ git checkout --orphan newroot
  Switched to a new branch 'newroot'
  git (newroot +)$ git reset --hard
  git (newroot #)$ git status
  On branch newroot
  
  Initial commit
  
  nothing to commit (create/copy files and use "git add" to track)

A purely textual change will not be sufficient, I'm afraid.  Saying
"Repository is empty" right after 'git init' is fine, I like it.
However, on an unborn branch with empty index it would be just wrong.

"Waiting for initial commit" is much better even in this case, but I
still don't like that "initial", though I can't say why, and don't
have any better suggestion either.  Though users experienced enough to
create an empty unborn branch would probably not be confused by that.